Configure sync via upload
curl --request PATCH \
--url https://api.nuvia.ai/v1/tables/{id}/sync-config \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nuvia.ai/v1/tables/{id}/sync-config"
headers = {"Authorization": "Bearer <token>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nuvia.ai/v1/tables/{id}/sync-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": {},
"name": "<string>",
"status": "PROCESSING",
"type": "DEFAULT",
"table_kind": "dataset",
"columns": [
{}
],
"stats": {},
"company": {
"_id": {},
"name": "<string>",
"channels": [
"WAP_AUTO_CLOSER"
],
"agent_flows": [
{
"_id": {},
"name": "<string>",
"url": "<string>",
"specialist_url": "<string>",
"type": "N8N"
}
],
"description": "<string>",
"status": "ACTIVE",
"domains": [
"<string>"
],
"site": "<string>",
"general_config": {},
"agent_builder_mcp_enabled": true,
"client_mcp_servers_enabled": true,
"auto_join_enabled": true,
"subscription": {},
"onboarding": {},
"attribution": {}
},
"description": "<string>",
"file_url": "<string>",
"object_type": "contact",
"file_metadata": {},
"import_errors": [
{}
],
"summary": "<string>",
"data": [
{}
],
"sync_key_column": "<string>",
"ranking_config": [
{}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Tabelas e Listas
Configure sync via upload
Defines the business key column (sync_key_column) and the ranking criteria (ranking_config) used on each sync.
PATCH
/
v1
/
tables
/
{id}
/
sync-config
Configure sync via upload
Authorizations
Token JWT de autenticação
Headers
Target company identifier. Required only for global API keys (type=global). Ignored for company API keys and human users.
Path Parameters
Response
200 - application/json
Available options:
PROCESSING, READY, ERROR, PARTIAL Available options:
DEFAULT, FILE Available options:
dataset, list Show child attributes
Show child attributes
Available options:
contact, business Key of the business column used as the key in the upload sync (diff). Without it, the upload sync is rejected.
Ordered business ranking criteria. The sync materializes the result in the internal _score column (higher = better).